﻿@page "/todo-list"

@inject ITodosRepository TodosRepository

<MudText Typo="Typo.h5" Color="Color.Primary" Class="mb-4">Todo リスト</MudText>

<MudButton Variant="Variant.Filled" Class="mb-2"
           Link="@($"/todo-detail/Create")">追加</MudButton>

<MudTable Items="todos" Dense="true" Hover="true" Striped="true">
    <HeaderContent>
        <MudTh>ID</MudTh>
        <MudTh>タイトル</MudTh>
        <MudTh>完了</MudTh>
        <MudTh>アクション</MudTh>
    </HeaderContent>
    <RowTemplate>
        <MudTd>@context.Id</MudTd>
        <MudTd>@context.Title</MudTd>
        <MudTd><MudCheckBox @bind-Checked="@context.IsDone" ReadOnly="true"></MudCheckBox></MudTd>
        <MudTd>
            <MudButton Variant="Variant.Filled" StartIcon="@Icons.Material.Filled.ListAlt"
                       Link="@($"/todo-detail/Show/{@context.Id}")">照会</MudButton>
            <MudButton Variant="Variant.Filled" StartIcon="@Icons.Material.Filled.Edit" Class="ml-2"
                       Link="@($"/todo-detail/Edit/{@context.Id}")">編集</MudButton>
            <MudButton Variant="Variant.Filled" StartIcon="@Icons.Material.Filled.Delete" Color="Color.Secondary" Class="ml-2"
                       Link="@($"/todo-detail/Delete/{@context.Id}")">削除</MudButton>
        </MudTd>
    </RowTemplate>
    <PagerContent>
        <MudTablePager RowsPerPageString="1ページの表示件数"
                       InfoFormat="{all_items} 件中  {first_item}-{last_item}" />
    </PagerContent>
</MudTable>

@code {
    private IEnumerable<TodoEntity> todos = new List<TodoEntity>();

    protected async override Task OnInitializedAsync()
    {
        todos = await TodosRepository.GetAllTodos();
    }
}